Summary:	A small taskmanager for Xfce desktop environment
Name:		xfce4-taskmanager
Epoch:		1
Version:	1.5.8
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/apps/xfce4-taskmanager
Source0:	https://archive.xfce.org/src/apps/xfce4-taskmanager/%{url_ver}/%{name}-%{version}.tar.bz2
Patch1:		0001-build-Add-missing-dep-flags.patch
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(xmu)
Requires:	xfdesktop

%description
xfce-taskmanager is a small taskmanager based on the Xfce libraries.

Features:
    * Lists up all tasks of the running System
    * Provides sending signals to tasks:
    - STOP
    - CONT
    - TERM
    - KILL

%prep
%autosetup -p1

%build
%xdt_autogen
%configure \
	--enable-maintainer-mode \
	--with-x
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README*
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/actions/*.{png,svg}
%{_iconsdir}/hicolor/*/apps/org.xfce.taskmanager.{png,svg}


%changelog
* Sun Apr 27 2025 wally <wally> 1:1.5.8-2.mga10
+ Revision: 2179483
- add an upstream patch to fix linking with libxfce4util

* Thu Dec 26 2024 wally <wally> 1:1.5.8-1.mga10
+ Revision: 2130270
- new version 1.5.8

* Fri Mar 22 2024 wally <wally> 1:1.5.7-1.mga10
+ Revision: 2051285
- new version 1.5.7

* Sun Oct 22 2023 wally <wally> 1:1.5.6-1.mga10
+ Revision: 2000221
- new version 1.5.6

* Fri Dec 16 2022 wally <wally> 1:1.5.5-1.mga9
+ Revision: 1923767
- new version 1.5.5

* Wed Jun 01 2022 wally <wally> 1:1.5.4-1.mga9
+ Revision: 1861020
- new version 1.5.4

* Tue May 24 2022 wally <wally> 1:1.5.3-1.mga9
+ Revision: 1860032
- new version 1.5.3

* Sun Apr 03 2022 umeabot <umeabot> 1:1.5.2-2.mga9
+ Revision: 1841665
- Mageia 9 Mass Rebuild

* Sat Feb 27 2021 wally <wally> 1:1.5.2-1.mga9
+ Revision: 1692747
- new version 1.5.2

* Tue Dec 29 2020 wally <wally> 1:1.4.0-1.mga8
+ Revision: 1664780
- new version 1.4.0
- drop borrowed icons

* Sat Oct 31 2020 wally <wally> 1:1.2.3-2.mga8
+ Revision: 1641007
- add upstream patch to use xdt-csource instead of exo-csource when building
- update URL

* Sat Apr 11 2020 wally <wally> 1:1.2.3-1.mga8
+ Revision: 1566398
- new version 1.2.3

* Sat Feb 15 2020 umeabot <umeabot> 1:1.2.2-4.mga8
+ Revision: 1524844
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 31 2019 wally <wally> 1:1.2.2-3.mga7
+ Revision: 1383672
- fix symbolic icon location

* Sun Mar 31 2019 wally <wally> 1:1.2.2-2.mga7
+ Revision: 1383670
- borrow app icons from gnome-system-monitor (mga#24575)
- add patch to fix deprecated icons

* Wed Dec 19 2018 wally <wally> 1:1.2.2-1.mga7
+ Revision: 1343055
- new version 1.2.2
- drop gtk2 support

* Sun Sep 23 2018 umeabot <umeabot> 1:1.2.1-2.mga7
+ Revision: 1301885
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1:1.2.1-1.mga7
+ Revision: 1234332
- new version 1.2.1

* Sat Sep 30 2017 wally <wally> 1:1.2.0-1.mga7
+ Revision: 1162010
- new version 1.2.0
- switch to gtk3

* Tue Feb 09 2016 umeabot <umeabot> 1:1.1.0-2.mga6
+ Revision: 951385
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 wally <wally> 1:1.1.0-1.mga5
+ Revision: 805214
- new version 1.1.0

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.1-3.mga5
+ Revision: 745932
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.1-2.mga5
+ Revision: 690633
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 wally <wally> 1:1.0.1-1.mga5
+ Revision: 581801
- new version 1.0.1

* Fri Oct 18 2013 umeabot <umeabot> 1:1.0.0-6.mga5
+ Revision: 520532
- Mageia 4 Mass Rebuild
+ wally <wally>
- clean .spec

* Mon Jan 14 2013 umeabot <umeabot> 1:1.0.0-5.mga3
+ Revision: 386868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 17 2011 ahmad <ahmad> 1:1.0.0-4.mga1
+ Revision: 52983
- drop old/unneeded scriptlets
- imported package xfce4-taskmanager


* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.0.0-3mdv2011.0
+ Revision: 579674
- rebuild for new xfce 4.7.0
- disable option with-skel

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.0.0-1mdv2011.0
+ Revision: 553884
- update to new version 1.0.0
- adjust buildrequires

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.4.1-5mdv2010.1
+ Revision: 543313
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 1:0.4.1-4mdv2010.0
+ Revision: 446137
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.4.1-3mdv2009.1
+ Revision: 349231
- rebuild whole xfce

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.4.1-2mdv2009.1
+ Revision: 294986
- rebuild for new Xfce4.6 beta1

* Tue Sep 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.4.1-1mdv2009.0
+ Revision: 285094
- update to new version 0.4.1

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 1:0.4.0-2mdv2009.0
+ Revision: 269795
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.4.0-1mdv2009.0
+ Revision: 208959
- new version (yes 0.4.0 > 0.4.1, anyways don't tknow how but from where came 0.4.1 version?)
- drop desktop file, as it was mergen upstream

* Sat Feb 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-2mdv2008.1
+ Revision: 174095
- use icon shipped with xfdesktop

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.1-1mdv2008.1
+ Revision: 119338
- Fix tarball
- Bump Version
- Bump Version
- New release 0.4.0

* Wed Dec 05 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.0rc2-1mdv2008.1
+ Revision: 115768
- New release to fix old bugs

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-6mdv2008.1
+ Revision: 110637
- new license policy
- do not package COPYING and NEWS, add ChangeLog instead
- use upstream tarball name

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.3.2-6mdv2008.0
+ Revision: 36217
- rebuild with correct optflags

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - correct attribute bits

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-4mdv2008.0
+ Revision: 34709
- adjust desktop file

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-3mdv2008.0
+ Revision: 34562
- add desktop file
- add icon (stolen from the xfce site :)

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2008.0
+ Revision: 30480
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2008.0
+ Revision: 30225
- new version

